import { Buried } from './../libs/tw/util/Buried';
import { NetManager } from './../libs/tw/manager/NetManager';
import { DataManager } from './../libs/tw/manager/DataManager';
import NetConst from "./NetConst";

export default class NetModel {

    // protected async  createGameScene() {
    // await Promise.all([this.yyh_baseinfo(), this.ajaxElement()]);
    // }

    public static model = {

    }

    public static getSignInfo() {
        return new Promise((r) => {
            // NetManager.ins.getSignInfo(() => {
            //     r();
            // }, window['signActId']);
            NetConst.getSignInfo(() => {
                r();
            }, window['signActId'])
        });
    }

    public static getPetsInfo() {
        return new Promise(r => {
            NetConst.getPetsInfo(() => {
                r();
            }, window['CFG'].activityId);
        })
    }

    public static winners(type) {
        return new Promise(r => {
            NetConst.winners(() => {
                r();
            }, window['collectRuleId'], type, 100)
        })
    }

    public static getPetsConfig() {
        return new Promise(r => {
            NetConst.getPetsConfig(() => {
                r()
            }, window['CFG'].activityId)
        })
    }
}